Last modified: 2013-12-08 14:15:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38109 - "(undo)" link missing from history in Chrome for edits containing a summary
"(undo)" link missing from history in Chrome for edits containing a summary
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.19
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
http://partiapiratow.org.pl/wiki/inde...
: i18n, upstream
Depends on: rtl
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 01:47 UTC by Steve
Modified: 2013-12-08 14:15 UTC (History)
11 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Firefox vs. Chrome history comparison (52.48 KB, image/png)
2012-07-02 01:47 UTC, Steve
Details
Small testcase (151 bytes, text/html)
2012-07-18 19:36 UTC, Marcin Cieślak
Details

Description Steve 2012-07-02 01:47:46 UTC
Created attachment 10810 [details]
Firefox vs. Chrome history comparison

See the attached image. Chrome version 20.0.1132.47 m with no extensions installed.

Twist: If you resize the window to bump part of the descriptions onto a second line, some of the "(undo)" links appear at various window sizes.
Comment 1 Marcin Cieślak 2012-07-18 18:58:13 UTC
Same here:

Mozilla/5.0 (X11; FreeBSD amd64) AppleWebKit/536.11 (KHTML, like Gecko) Chrome/20.0.1132.57 Safari/536.11

Link is present in the HTML:
0002600: 7061 6e3e 2920 3c2f 6c69 3e0a 3c6c 693e  pan>) </li>.<li>
0002610: 3c73 7061 6e20 636c 6173 733d 226d 772d  <span class="mw-
0002620: 6869 7374 6f72 792d 6869 7374 6c69 6e6b  history-histlink
0002630: 7322 3e28 3c61 2068 7265 663d 222f 7769  s">(<a href="/wi
0002640: 6b69 2f69 6e64 6578 2e70 6870 3f74 6974  ki/index.php?tit
0002650: 6c65 3d49 5243 2661 6d70 3b64 6966 663d  le=IRC&amp;diff=
0002660: 3433 3826 616d 703b 6f6c 6469 643d 3433  438&amp;oldid=43
0002670: 3522 2074 6974 6c65 3d22 4952 4322 3e62  5" title="IRC">b
0002680: 6965 c5bc 2e3c 2f61 3e20 7c20 3c61 2068  ie...</a> | <a h
0002690: 7265 663d 222f 7769 6b69 2f69 6e64 6578  ref="/wiki/index
00026a0: 2e70 6870 3f74 6974 6c65 3d49 5243 2661  .php?title=IRC&a
00026b0: 6d70 3b64 6966 663d 3433 3526 616d 703b  mp;diff=435&amp;
00026c0: 6f6c 6469 643d 3339 3822 2074 6974 6c65  oldid=398" title
00026d0: 3d22 4952 4322 3e70 6f70 727a 2e3c 2f61  ="IRC">poprz.</a
00026e0: 3e29 203c 2f73 7061 6e3e 3c69 6e70 7574  >) </span><input
00026f0: 2074 7970 653d 2272 6164 696f 2220 7661   type="radio" va
0002700: 6c75 653d 2234 3335 2220 6e61 6d65 3d22  lue="435" name="
0002710: 6f6c 6469 6422 2069 643d 226d 772d 6f6c  oldid" id="mw-ol
0002720: 6469 642d 3433 3522 202f 3e3c 696e 7075  did-435" /><inpu
0002730: 7420 7479 7065 3d22 7261 6469 6f22 2076  t type="radio" v
0002740: 616c 7565 3d22 3433 3522 206e 616d 653d  alue="435" name=
0002750: 2264 6966 6622 2069 643d 226d 772d 6469  "diff" id="mw-di
0002760: 6666 2d34 3335 2220 2f3e 203c 6120 6872  ff-435" /> <a hr
0002770: 6566 3d22 2f77 696b 692f 696e 6465 782e  ef="/wiki/index.
0002780: 7068 703f 7469 746c 653d 4952 4326 616d  php?title=IRC&am
0002790: 703b 6f6c 6469 643d 3433 3522 2074 6974  p;oldid=435" tit
00027a0: 6c65 3d22 4952 4322 3e32 303a 3133 2c20  le="IRC">20:13, 
00027b0: 3138 206c 6970 2032 3031 323c 2f61 3ee2  18 lip 2012</a>.
00027c0: 808e 203c 7370 616e 2063 6c61 7373 3d27  .. <span class='
00027d0: 6869 7374 6f72 792d 7573 6572 273e 3c61  history-user'><a
00027e0: 2068 7265 663d 222f 7769 6b69 2f69 6e64   href="/wiki/ind
00027f0: 6578 2e70 6870 3f74 6974 6c65 3d53 7065  ex.php?title=Spe
0002800: 636a 616c 6e61 3a57 6b25 4335 2538 3261  cjalna:Wk%C5%82a
0002810: 642f 3939 2e31 3639 2e34 362e 3138 3622  d/99.169.46.186"
0002820: 2074 6974 6c65 3d22 5370 6563 6a61 6c6e   title="Specjaln
0002830: 613a 576b c582 6164 2f39 392e 3136 392e  a:Wk..ad/99.169.
0002840: 3436 2e31 3836 2220 636c 6173 733d 226d  46.186" class="m
0002850: 772d 7573 6572 6c69 6e6b 223e 3939 2e31  w-userlink">99.1
0002860: 3639 2e34 362e 3138 363c 2f61 3e20 203c  69.46.186</a>  <
0002870: 7370 616e 2063 6c61 7373 3d22 6d77 2d75  span class="mw-u
0002880: 7365 7274 6f6f 6c6c 696e 6b73 223e 283c  sertoollinks">(<
0002890: 6120 6872 6566 3d22 2f77 696b 692f 696e  a href="/wiki/in
00028a0: 6465 782e 7068 703f 7469 746c 653d 4479  dex.php?title=Dy
00028b0: 736b 7573 6a61 5f75 2543 3525 4243 7974  skusja_u%C5%BCyt
00028c0: 6b6f 776e 696b 613a 3939 2e31 3639 2e34  kownika:99.169.4
00028d0: 362e 3138 3626 616d 703b 6163 7469 6f6e  6.186&amp;action
00028e0: 3d65 6469 7426 616d 703b 7265 646c 696e  =edit&amp;redlin
00028f0: 6b3d 3122 2063 6c61 7373 3d22 6e65 7722  k=1" class="new"
0002900: 2074 6974 6c65 3d22 4479 736b 7573 6a61   title="Dyskusja
0002910: 2075 c5bc 7974 6b6f 776e 696b 613a 3939   u..ytkownika:99
0002920: 2e31 3639 2e34 362e 3138 3620 2873 7472  .169.46.186 (str
0002930: 6f6e 6120 6e69 6520 6973 746e 6965 6a65  ona nie istnieje
0002940: 2922 3e64 7973 6b75 736a 613c 2f61 3e29  )">dyskusja</a>)
0002950: 3c2f 7370 616e 3e3c 2f73 7061 6e3e e280  </span></span>..
0002960: 8e20 2e20 2e20 3c73 7061 6e20 6469 723d  . . . <span dir=
0002970: 226c 7472 2220 636c 6173 733d 226d 772d  "ltr" class="mw-
0002980: 706c 7573 6d69 6e75 732d 706f 7322 2074  plusminus-pos" t
0002990: 6974 6c65 3d22 3631 3120 6261 6a74 c3b3  itle="611 bajt..
00029a0: 7720 706f 207a 6d69 616e 6965 223e 282b  w po zmianie">(+
00029b0: 3237 3929 3c2f 7370 616e 3ee2 808e 202e  279)</span>... .
00029c0: 202e 2020 3c73 7061 6e20 636c 6173 733d   .  <span class=
00029d0: 2263 6f6d 6d65 6e74 2220 6469 723d 2261  "comment" dir="a
00029e0: 7574 6f22 3e28 5963 7547 5374 7551 636d  uto">(YcuGStuQcm
00029f0: 293c 2f73 7061 6e3e 2028 3c73 7061 6e20  )</span> (<span 
0002a00: 636c 6173 733d 226d 772d 6869 7374 6f72  class="mw-histor
0002a10: 792d 756e 646f 223e 3c61 2068 7265 663d  y-undo"><a href=
0002a20: 222f 7769 6b69 2f69 6e64 6578 2e70 6870  "/wiki/index.php
0002a30: 3f74 6974 6c65 3d49 5243 2661 6d70 3b61  ?title=IRC&amp;a
0002a40: 6374 696f 6e3d 6564 6974 2661 6d70 3b75  ction=edit&amp;u
0002a50: 6e64 6f61 6674 6572 3d33 3938 2661 6d70  ndoafter=398&amp
0002a60: 3b75 6e64 6f3d 3433 3522 2074 6974 6c65  ;undo=435" title
0002a70: 3d22 4952 4322 3e61 6e75 6c75 6a20 6564  ="IRC">anuluj ed
0002a80: 7963 6ac4 993c 2f61 3e3c 2f73 7061 6e3e  ycj..</a></span>
0002a90: 2920 3c2f 6c69 3e0a 3c6c 693e 3c73 7061  ) </li>.<li><spa

Chrome's DOM inspector does not see anything special about this node 
(display:inline, visibility:visible):


for span.mw-history-undo:

background-color: transparent;
background-image: none;
background-position: 0% 0%;
background-repeat: repeat;
color: black;
direction: ltr;
display: inline;
font-family: sans-serif;
font-size: 13px;
height: auto;
line-height: 19px;
list-style-image: url(data:text/plain;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAANCAMAAABW4lS6AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAFKM////QIUK9QAAAAJ0Uk5T/wDltzBKAAAAGklEQVR42mJgBAEGokgGBjBGBxBxsBqAAAMACHwALd5r8ygAAAAASUVORK5CYII=);
list-style-type: square;
margin-bottom: 0px;
margin-left: 0px;
margin-right: 0px;
margin-top: 0px;
padding-bottom: 0px;
padding-left: 0px;
padding-right: 0px;
padding-top: 0px;
text-align: -webkit-auto;
width: auto;
Styles
:active	:hover
:focus	:visited

for "(":

background-color: #F9F9F9;
background-image: none;
background-position: 0% 0%;
background-repeat: repeat;
border-bottom-color: #AAA;
border-bottom-style: dashed;
border-bottom-width: 1px;
border-left-color: #AAA;
border-left-style: dashed;
border-left-width: 1px;
border-right-color: #AAA;
border-right-style: dashed;
border-right-width: 1px;
border-top-color: #AAA;
border-top-style: dashed;
border-top-width: 1px;
color: black;
direction: ltr;
display: list-item;
font-family: sans-serif;
font-size: 13px;
height: 21px;
line-height: 19px;
list-style-image: url(data:text/plain;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAANCAMAAABW4lS6AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAAZQTFRFAFKM////QIUK9QAAAAJ0Uk5T/wDltzBKAAAAGklEQVR42mJgBAEGokgGBjBGBxBxsBqAAAMACHwALd5r8ygAAAAASUVORK5CYII=);
list-style-type: square;
margin-bottom: 1.2799999713897705px;
margin-left: 0px;
margin-right: 0px;
margin-top: 0px;
padding-bottom: 0px;
padding-left: 0px;
padding-right: 0px;
padding-top: 0px;
text-align: -webkit-auto;
width: 1049px;

Confused by Unicode direction marks?
Comment 2 Marcin Cieślak 2012-07-18 19:15:05 UTC
Adding <span dir="auto">...</span> around:

 (<span class="mw-history-undo"><a href="/wiki/index.php?title=IRC&amp;action=edit&amp;undoafter=437&amp;undo=438" title="„anuluj edycję” wycofuje tę edycję i otwiera okno edycji w trybie podglądu.&#10;Pozwala na wpisanie powodu w opisie zmian.">anuluj edycję</a></span>) 

helps.
Comment 3 Marcin Cieślak 2012-07-18 19:36:07 UTC
Created attachment 10856 [details]
Small testcase

Attached small testcase:

<!DOCTYPE html>
<html lang="pl" dir="ltr">
<head>
<meta charset="UTF-8" />
<title> A</title>
</head>
<body>.  <span dir="auto">C</span>D</body></html>


0000000: 3c21 444f 4354 5950 4520 6874 6d6c 3e0a  <!DOCTYPE html>.
0000010: 3c68 746d 6c20 6c61 6e67 3d22 706c 2220  <html lang="pl" 
0000020: 6469 723d 226c 7472 223e 0a3c 6865 6164  dir="ltr">.<head
0000030: 3e0a 3c6d 6574 6120 6368 6172 7365 743d  >.<meta charset=
0000040: 2255 5446 2d38 2220 2f3e 0a3c 7469 746c  "UTF-8" />.<titl
0000050: 653e 2041 3c2f 7469 746c 653e 0a3c 2f68  e> A</title>.</h
0000060: 6561 643e 0a3c 626f 6479 3e2e 2020 3c73  ead>.<body>.  <s
0000070: 7061 6e20 6469 723d 2261 7574 6f22 3e43  pan dir="auto">C
0000080: 3c2f 7370 616e 3e44 3c2f 626f 6479 3e3c  </span>D</body><
0000090: 2f68 746d 6c3e 0a                        /html>.

Visible: dot, two spaces, letter C
D is not visible

Removing dot, one of the space or changing the <span dir=""> to either "ltr" or "rtl" makes letter "D" visible.
Comment 4 Marcin Cieślak 2012-07-18 20:25:42 UTC
Filed http://code.google.com/p/chromium/issues/detail?id=137910 with Chromium
Comment 5 Michał Łazowik 2012-07-18 22:21:29 UTC
Safari 5.1.7 (7534.57.2) - all links visible. Might relay on WebKit version (here 534.57.2 according to en wiki)
Comment 6 Andrew Garrett 2012-07-18 22:22:26 UTC
I remember looking at this bug in MediaWiki at some point in the last year or so. I seem to remember coming up with some sort of fix.
Comment 7 Marcin Cieślak 2012-08-24 08:43:35 UTC
This is now filed as the bug against WebKit as well:

https://bugs.webkit.org/show_bug.cgi?id=94832
Comment 8 Derk-Jan Hartman 2013-12-08 13:41:47 UTC
Seems this specific problem is fixed now in Safari. The reduced test case reproduces the results that are expected in Safari 7.0 (9537.71).

However there seems to be a possibly related issue that has not yet been fixed. https://bugs.webkit.org/show_bug.cgi?id=124146
Comment 9 Brad Jorsch 2013-12-08 14:15:16 UTC
"RESOLVED FIXED" isn't exactly right since it was a browser bug that has been fixed in new versions of the affected browser, but it's close enough.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links